# Uses of Interface
org.opensaml.xmlsec.encryption.PBKDF2Params

Packages that use PBKDF2Params
Package
Description
org.opensaml.xmlsec.derivation.impl
Implementation components related to key derivation operations.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of PBKDF2Params in org.opensaml.xmlsec.derivation.impl

Methods in org.opensaml.xmlsec.derivation.impl with parameters of type PBKDF2Params
Modifier and Type
Method
Description
`private static PBKDF2`
PBKDF2.`validateAndSetXMLObjectParameters(PBKDF2Params xmlParams)`
Validate the `PBKDF2Params` instance.

## Uses of PBKDF2Params in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement PBKDF2Params
Modifier and Type
Class
Description
`class`
`PBKDF2ParamsImpl`
Concrete implementation of `PBKDF2Params`.
Methods in org.opensaml.xmlsec.encryption.impl that return PBKDF2Params
Modifier and Type
Method
Description
`PBKDF2Params`
PBKDF2ParamsBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`PBKDF2Params`
PBKDF2ParamsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.